#!/usr/bin/env python3

# ライブラリのインポート
import urllib.request
import ssl
import json
import pprint

ssl._create_default_https_context = ssl._create_unverified_context

# RESTで取得するFHIRデータのURI
#resturl = 'https://fhirtestjp.med.gunma-u.ac.jp/Patient/1'
resturl = 'http://hapi.fhir.org/baseR4/Patient/10883578'

# 取得したデータを加工し表示
with urllib.request.urlopen(resturl) as response:
   fhir = response.read()
   json1 = json.loads(fhir.decode('utf-8')) #注意: json.loadはファイルから読む場合に使用する

   #要素全てを取得
   print(json1['identifier'])

   #リストの最初を読み出し
   print(json1['identifier'][0]['value'])

   #リストの大きさを理解して読み出し
   print(json1['identifier'][len(json1['identifier'])-1]['value'])

   #【ハンズオン1】↓ここにリソースを取得するコードを記入してみましょう
   
   
   
   #jsonデータ全てを表示
   pprint.pprint(json1)
   
   #jsonデータをテキストファイルに出力する
   path_w = './app1out.txt' # ※ここのパスは好きな場所に書き換え可
   with open(path_w, mode='w') as f:
      json2 = json.dumps(json1, indent=2, ensure_ascii=False)
      f.write(json2) # 問題なく出力されることを確認します。

