#!/usr/bin/env python3

# ライブラリのインポート
import requests
from requests.auth import HTTPBasicAuth
import json
import pprint

# 患者情報を取得するFHIRデータのURI
#resturl = 'https://fhirtestjp.med.gunma-u.ac.jp/Bundle?patientid=1'
#resturl = 'https://fhirtestjp.med.gunma-u.ac.jp/Patient/1'
#resturl = 'http://hapi.fhir.org/baseR4/Patient/10769660'
resturl = 'http://20.78.56.128:52773/csp/healthshare/fhirserver/fhir/r4/Patient/2'

#headers = {"content-type": "application/json"}
headers = {"content-type": "application/json+fhir","Accept-Charset":"utf8"}
basic_auth=HTTPBasicAuth("_SYSTEM", "sys")

response = requests.get(url=resturl, headers=headers,auth=basic_auth)

jsonobj = response.json()

#jsonデータ全てを表示
pprint.pprint(jsonobj)

#jsonデータをテキストファイルに出力する
path_w = './Patient-1.json'
with open(path_w, mode='w',encoding="utf-8") as f:
   jsonstr = json.dumps(jsonobj, indent=2, ensure_ascii=False)
   f.write(jsonstr)


