#!/usr/bin/env python3

# ライブラリのインポート
import datetime
import requests
from requests.auth import HTTPBasicAuth
import json
import pprint

# -- 指定した患者のアレルギー情報を取得する
def loadAllergyIntoleranceByPatient(patientId):
    #resturl = f'http://hapi.fhir.org/baseR4/AllergyIntolerance?patient={patientId}'
    resturl = f'http://20.78.56.128:52773/csp/healthshare/fhirserver/fhir/r4/AllergyIntolerance?patient={patientId}'

    #headers = {"content-type": "application/json"}
    headers = {"content-type": "application/json+fhir","Accept-Charset":"utf8"}
    basic_auth=HTTPBasicAuth("_SYSTEM", "sys")

    response = requests.get(url=resturl, headers=headers,auth=basic_auth)

    jsonobj = response.json()
    retobj=json.loads('[]')
    if jsonobj['total'] == 0:
        print(f'ID:{patientId}のアレルギー情報なし')
    else:
        for itm in jsonobj['entry']:
            retobj.append(itm['resource'])
    
    return retobj


# -- メイン処理

print('-- アレルギー情報読み込み --')
allgrlst=loadAllergyIntoleranceByPatient('2')
pprint.pprint(allgrlst)

path_w='AllergyIntolerance-0.json'
with open(path_w, mode='w',encoding="utf-8") as f:
   jsonstr = json.dumps(allgrlst, indent=2, ensure_ascii=False)
   f.write(jsonstr)

