#!/usr/bin/env python3

# ライブラリのインポート
import urllib.request
#import ssl
import json
import pprint

# SSLで自己署名証明書を使用していないとエラーになるので、それを回避したいときに設定
#ssl._create_default_https_context = ssl._create_unverified_context

# RESTで取得するFHIRデータのURI
resturl = 'https://fhirtestjp.med.gunma-u.ac.jp/Bundle?patientid=1'

# 取得したデータを加工し表示
with urllib.request.urlopen(resturl) as response:
   fhir = response.read()
   jsonobj = json.loads(fhir.decode('utf-8')) #注意: json.loadはファイルから読む場合に使用する

   #jsonデータ全てを表示
   pprint.pprint(jsonobj)
   
   #jsonデータをテキストファイルに出力する
   path_w = './summary.json' # ※ここのパスは好きな場所に書き換え可
   with open(path_w, mode='w',encoding="utf-8") as f:
      jsonstr = json.dumps(jsonobj, indent=2, ensure_ascii=False)
      f.write(jsonstr) # 問題なく出力されることを確認します。

